<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
$ank['id'] = $user['id'];
if (isset($_GET['id']))$ank['id'] = intval($_GET['id']);
$q = mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1");
if (mysql_num_rows($q)==0){header("Location: index.php?".SID);exit;}
$ank = mysql_fetch_array($q);
$set['title']="Черный список $ank[nick]"; // заголовок страницы
include_once 'sys/inc/thead.php';
title();

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `blacklist` WHERE `user` = '$ank[id]'"), 0);


if ($k_post==0)
{
?>
<div class='noy'>У обитателя <?echo $ank['nick'];?> черный список пуст</div>
<?
}


$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];

$q = mysql_query("SELECT * FROM `blacklist` WHERE `user` = '$ank[id]' ORDER BY time DESC LIMIT $start, $set[p_str]");
while ($f = mysql_fetch_array($q))
{
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[lol]' LIMIT 1"));
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}
echo "".avatar2($a['id'])."<br />";
echo "".on($a['id'])."\n";
echo "".pol($a['id'])."";
echo "<a href='/info.php?id=$a[id]'><span style='color:$a[ncolor]'>$a[nick]</span></a>\n";
echo "".vip($a['id'])."\n".medal($a['id'])." (".vremja($f['time']).")<br />";

if ($ank['id']==$user['id'])echo '<a href="blacklist_new.php?del='.$a['id'].'">Удалить из черного списка</a>';
echo "</div>\n";
}

if ($k_page>1)str("?id=$ank[id]&",$k_page,$page);
include_once 'sys/inc/tfoot.php';
?>